Bio::MAGETAB::MatrixColumn(3)

NAME
Bio::MAGETAB::MatrixColumn - MAGE-TAB matrix column class

SYNOPSIS
 use Bio::MAGETAB::MatrixColumn;

DESCRIPTION
This class is used to describe the columns of a MAGE-TAB data matrix. It acts as a mapping between a numbered column in the matrix, the quantitation type of that column, and the SDRF node or nodes to which it applies. See the BaseClass class for superclass methods.

ATTRIBUTES

columnNumber (required)
    The number of the column in the data matrix. Columns are assumed to be numbered from left to right, starting at one for the first data column; however this is not constrained by the model and you may use whatever local conventions you prefer (data type: Integer).

quantitationType (required)
    The quantitation type of the data contained in the column (data type: Bio::MAGETAB::ControlledTerm).

referencedNodes (required)
    A list of Nodes from the SDRF to which the data in this column applies (data type: Bio::MAGETAB::Node).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).